Package Gnumed :: Package wxpython :: Module gmExportAreaWidgets :: Class cExportAreaPluginPnl |
[frames] | no frames]

# Class cExportAreaPluginPnl

source code

                                                    wx.Panel --+
                                                               |
    wxGladeWidgets.wxgExportAreaPluginPnl.wxgExportAreaPluginPnl --+
                                                                   |
                                 gmRegetMixin.cRegetOnPaintMixin --+
                                                                   |
                                                                  cExportAreaPluginPnl

Panel holding a number of items for further processing.

Acts on the current patient.

Used as notebook page.

Instance Methods
__init__(self, *args, **kwargs) | source code
repopulate_ui(self) Just a glue method to make this compatible with notebook plugins. | source code

Method Details

### __init__(self, *args, **kwargs) (Constructor) | source code
Overrides: gmRegetMixin.cRegetOnPaintMixin.__init__

### repopulate_ui(self) | source code
Just a glue method to make this compatible with notebook plugins. Overrides: gmRegetMixin.cRegetOnPaintMixin.repopulate_ui (inherited documentation)